rem              MakeA32.bat                        2005-07-10 AgF

rem  Makes PMC test program for 32 bit Windows from .asm test code

rem  System requirements:
rem  Windows 2000 or NT or later
rem  Microsoft assembler v. 6.15 or later
rem  Microsoft Visual C++ compiler or other C++ compiler


rem  Set path to software development kit. 
rem  You have to change this to the appropriate directory:
set CompilerDir=C:\WINDDK\3790

rem  Set path to MS driver development kit or other C++ compiler and assembler 
rem  You have to change this to the appropriate directory
path %CompilerDir%\bin\x86

rem  Set path to *.h include files. You may have to change this
set include=%CompilerDir%\inc\w2k;%CompilerDir%\inc\ddk\w2k;%CompilerDir%\inc\wnet;%CompilerDir%\inc\crt;

rem  Set path to *.lib library files. You may have to change this
set lib=%CompilerDir%\lib\w2k;%CompilerDir%\lib\w2k\i386

rem  Delete old program
if EXIST A32.exe  del A32.exe

rem  Compile cpp file. Not needed if PMCTest1.cpp unchanged
cl /c /FoPMCTestA32.obj PMCTestA.cpp
if errorlevel 1 pause

rem  Assemble asm file
ml /c /Cx /coff PMCTestB32.asm
if errorlevel 1 pause

rem  Link into .exe file
link /SUBSYSTEM:CONSOLE /out:A32.exe PMCTestA32.obj PMCTestB32.obj advapi32.lib
if errorlevel 1 pause

rem  run new program
if not errorlevel 1 A32.exe
pause


